Package org.eclipse.emf.compare.ide.ui.internal.preferences

# Class EMFCompareUIPreferencesInitializer

java.lang.Object
org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer
org.eclipse.emf.compare.ide.ui.internal.preferences.EMFCompareUIPreferencesInitializer

public class EMFCompareUIPreferencesInitializer extends org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer
This will be used to initialize all of our UI preferences to their default.

## Constructor Summary

Constructors
Constructor
Description
`EMFCompareUIPreferencesInitializer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`initializeDefaultPreferences()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EMFCompareUIPreferencesInitializer

public EMFCompareUIPreferencesInitializer()

## Method Details

### initializeDefaultPreferences

public void initializeDefaultPreferences()

Specified by:
  `initializeDefaultPreferences` in class `org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer`